Bug 55788 - DUD module, megaraid.o not getting updated properly in initrd
Summary: DUD module, megaraid.o not getting updated properly in initrd
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mkinitrd   
(Show other bugs)
Version: 7.2
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matt Wilson
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-06 17:09 UTC by Brian Highers
Modified: 2007-04-18 16:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-06 17:09:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Brian Highers 2001-11-06 17:09:52 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 4.0)

Description of problem:
When loading the DUD for megaraid.o (v1.18)using Redhat 7.2, It appears 
that the 1.18 driver is loading. Upon reboot the system boots with 1.17a 
(the version on the CD). If I do 'strings megaraid.o |grep v1.' on the 
megaraid.o file in /lib/modules I see that it is 1.18. This leads me to 
believe that the ramdisk is getting created before the DUD module is 
copied to /lib/modules.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install w/ 'linux dd' option
2. Load the 1.18 DUD (this can be provided)
3. TTY4 will show that the 1.18 driver has loaded.
4. Complete the install.
5.  When the system is rebooted, DMESG will show that the 1.17a driver is 
loaded and not 1.18
	

Actual Results:  1.17a megaraid module is loaded

Expected Results:  1.18 megaraid module is loaded

Additional info:

Comment 1 Erik Troan 2002-05-21 13:12:45 UTC
This was a problem with module dependencies and driver disks in 7.2. It should
be fixed in 7.3; please reopen if this bug still occurs.


Note You need to log in before you can comment on or make changes to this bug.